curl --request POST \
--url https://api.sippet.ai/api/conversation_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user",
"content_index": 123,
"item_id": "<string>",
"metadata": {},
"modality": "text",
"occurred_at": "<unknown>"
},
"relationships": {},
"type": "ConversationItem"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modality": "text",
"role": "user",
"content_index": 123,
"item_id": "<string>",
"metadata": {},
"occurred_at": "<unknown>"
},
"relationships": {
"conversation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}/conversation_items operation on ConversationItem resource
curl --request POST \
--url https://api.sippet.ai/api/conversation_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user",
"content_index": 123,
"item_id": "<string>",
"metadata": {},
"modality": "text",
"occurred_at": "<unknown>"
},
"relationships": {},
"type": "ConversationItem"
}
}
'{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"content": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modality": "text",
"role": "user",
"content_index": 123,
"item_id": "<string>",
"metadata": {},
"occurred_at": "<unknown>"
},
"relationships": {
"conversation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
},
"organisation": {
"data": {
"id": "<string>",
"type": "<string>",
"meta": {}
}
}
}
},
"included": [
"<unknown>"
],
"meta": {}
}JWT for bearer authentication
Relationship paths to include in the response
^()(,())*$Limits the response fields to only those listed for each type
Show child attributes
{
"ConversationItem": "id,role,modality,content,metadata,item_id,content_index,occurred_at,conversation_id"
}Request body for the /conversation_items operation on ConversationItem resource
Show child attributes
Was this page helpful?